#! /usr/bin/env python

import cairo


def gauge(ctx, posx, posy, current_value, min_value, max_value, opts):
    """
    Creates a gauge with the desired options
    """
    default_opts = {
        "width": 50,
        "height": 100,
        "color": (0.1, 0.8, 0.1),
        "text": "Elevation"
    }
    final_opts = default_opts.update(opts)
